Qt 5.11 | Qt Quick | C++ Classes | QQuickTextureFactory

Qt 5.11.3 Reference Documentation

# QQuickTextureFactory Class

The QQuickTextureFactory class provides an interface for loading custom textures from QML. More...

Header: | #include <QQuickTextureFactory>
qmake: | QT += quick
Since: | Qt 5.0

- List of all members, including inherited members

## Public Functions

| QQuickTextureFactory()
virtual | ~QQuickTextureFactory() override
virtual QSGTexture * | createTexture(QQuickWindow *window) const = 0
virtual QImage | image() const
virtual int | textureByteCount() const = 0
virtual QSize | textureSize() const = 0

## Static Public Members

QQuickTextureFactory * | textureFactoryForImage(const QImage &image)

## Detailed Description

The QQuickTextureFactory class provides an interface for loading custom textures from QML.

The purpose of the texture factory is to provide a placeholder for a image data that can be converted into an OpenGL texture.

Creating a texture directly is not possible as there is rarely an OpenGL context available in the thread that is responsible for loading the image data.

## Member Function Documentation

### QQuickTextureFactory::QQuickTextureFactory()

Constructs a texture factory. Since QQuickTextureFactory is abstract, it cannot be instantiated directly.

### `[override virtual]` QQuickTextureFactory::~QQuickTextureFactory()

Destroys the texture factory.

### `[pure virtual]` QSGTexture *QQuickTextureFactory::createTexture(QQuickWindow *window) const

### `[virtual]` QImage QQuickTextureFactory::image() const

### `[pure virtual]` int QQuickTextureFactory::textureByteCount() const

### `[static]` QQuickTextureFactory *QQuickTextureFactory::textureFactoryForImage(const QImage &image)

Returns a QQuickTextureFactory holding the given image.

This is typically used as a helper in QQuickImageResponse::textureFactory.

This function was introduced in Qt 5.6.

### `[pure virtual]` QSize QQuickTextureFactory::textureSize() const